const path = require('path');
const MiniCssExtractPlugin = require("mini-css-extract-plugin");

module.exports = {
    mode: 'development',
    // entry: path.join('tamarac-styles', 'tamarac-override.scss'),
    // output: {
    //     path: path.resolve(__dirname, 'dist'),
    //     filename: 'tamarac.bootstrap.css'
    // },
    module: {
        rules: [{
            test: /\.scss$/,
            use: [
                MiniCssExtractPlugin.loader,
                "css-loader", // translates CSS into CommonJS
                "sass-loader" // compiles Sass to CSS, using Node Sass by default
            ]
        }]
    },
    plugins: [
        new MiniCssExtractPlugin({
            // Options similar to the same options in webpackOptions.output
            // both options are optional
            filename: "tamarac-bootstrap.css",
            chunkFilename: "[id].css"
        })
    ]
};